Returns the list of actions on a specified bill.

GET /bill/:congress/:billType/:billNumber/actions

Example Request

/v3/bill/117/hr/3076/actions
::

    'actions': [
        {
            'actionDate': '2022-04-06',
            'text': 'Became Public Law No: 117-108.',
            'type': 'President',
            'actionCode': '36000',
            'sourceSystem': {
                'name': 'Library of Congress',
                'code': '9'
            },
        },
        ...
    ]
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
integer
required

The congress number. For example, the value can be 117.

string
required

The type of bill. Value can be hr, s, hjres, sjres, hconres, sconres, hres, or sres.

integer
required

The bill's assigned number. For example, the value can be 3076.

Query Params
string

The data format. Value can be xml or json.

Responses
200

successful operation

400

Invalid status value

Language
Credentials
Query
LoadingLoading…
Response
Click Try It! to start a request and see the response here!